# Uses of Class
org.snpeff.vcf.VcfEntry

Packages that use VcfEntry
Package
Description
org.snpeff.fileIterator
org.snpeff.outputFormatter
org.snpeff.snpEffect
org.snpeff.snpEffect.commandLine
org.snpeff.stats
org.snpeff.vcf

## Uses of VcfEntry in org.snpeff.fileIterator

Subclasses with type arguments of type VcfEntry in org.snpeff.fileIterator
Modifier and Type
Class
Description
`class`
`VcfFileIterator`
Opens a VCF file and iterates over all entries (i.e.
`class`
`VcfHapMapFileIterator`
Opens a Hapmap phased file and iterates over all entries, returning VcfEntries for each line Note: Each HapMap file has one chromosome.
Classes in org.snpeff.fileIterator that implement interfaces with type arguments of type VcfEntry
Modifier and Type
Class
Description
`class`
`VcfFileIterator`
Opens a VCF file and iterates over all entries (i.e.
Methods in org.snpeff.fileIterator that return VcfEntry
Modifier and Type
Method
Description
`VcfEntry`
VcfFileIterator.`parseVcfLine(String line)`
Parse a line from a VCF file
`protected VcfEntry`
VcfFileIterator.`readNext()`
`protected VcfEntry`
VcfHapMapFileIterator.`readNext()`
Methods in org.snpeff.fileIterator that return types with arguments of type VcfEntry
Modifier and Type
Method
Description
`Collection<VcfEntry>`
VcfFileIterator.`parse(String str)`

## Uses of VcfEntry in org.snpeff.outputFormatter

Methods in org.snpeff.outputFormatter with parameters of type VcfEntry
Modifier and Type
Method
Description
`protected void`
VcfOutputFormatter.`addInfo(VcfEntry vcfEntry)`
Add effects to INFO field
Constructor parameters in org.snpeff.outputFormatter with type arguments of type VcfEntry
Modifier
Constructor
Description
``
`VcfOutputFormatter(List<VcfEntry> vcfEntries)`
Add all vcf entries to a list (used only for debugging and test-cases)

## Uses of VcfEntry in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect with parameters of type VcfEntry
Modifier and Type
Method
Description
`boolean`
VcfAnnotator.`annotate(VcfEntry vcfEntry)`
Annotate a VCF file entry
`boolean`
VcfAnnotatorChain.`annotate(VcfEntry vcfEntry)`

## Uses of VcfEntry in org.snpeff.snpEffect.commandLine

Methods in org.snpeff.snpEffect.commandLine that return types with arguments of type VcfEntry
Modifier and Type
Method
Description
`List<VcfEntry>`
SnpEffCmdEff.`run(boolean createList)`
Run according to command line options
Methods in org.snpeff.snpEffect.commandLine with parameters of type VcfEntry
Modifier and Type
Method
Description
`boolean`
SnpEffCmdEff.`annotate(VcfEntry vcfEntry)`
Annotate a VCF entry

## Uses of VcfEntry in org.snpeff.stats

Classes in org.snpeff.stats that implement interfaces with type arguments of type VcfEntry
Modifier and Type
Class
Description
`class`
`AlleleCountStats`
Count singletons and other allele counts per sample
`class`
`GenotypeStats`
Calculate statistics on genotype
`class`
`HomHetStats`
Count Hom/Het per sample From Pierre: For multiple ALT, I suggest to count the number of REF allele 0/1 => ALT1 0/2 => ALT1 1/1 => ALT2 2/2 => ALT2 1/2 => ALT2
`class`
`TsTvStats`
Calculate Ts/Tv rations per sample (transitions vs transversions)
`class`
`VariantTypeStats`
Count variant types (SNP, MNP, INS, DEL)
`class`
`VcfStats`
VCF statistics: These are statisticas at VCF line (i.e.
Methods in org.snpeff.stats with parameters of type VcfEntry
Modifier and Type
Method
Description
`void`
AlleleCountStats.`sample(VcfEntry vcfEntry)`
Update MAC counters
`void`
GenotypeStats.`sample(VcfEntry vcfEntry)`
Update counters
`void`
HomHetStats.`sample(VcfEntry vcfEntry)`
Update Hom/Het counters
`void`
TsTvStats.`sample(VcfEntry vcfEntry)`
Update Ts and Tv counters Only for SNPs
`void`
VariantTypeStats.`sample(VcfEntry vcfEntry)`
Update MAC counters
`void`
VcfStats.`sample(VcfEntry vcfEntry)`

## Uses of VcfEntry in org.snpeff.vcf

Fields in org.snpeff.vcf declared as VcfEntry
Modifier and Type
Field
Description
`protected VcfEntry`
VariantVcfEntry.`vcfEntry`
Methods in org.snpeff.vcf that return VcfEntry
Modifier and Type
Method
Description
`VcfEntry`
VariantVcfEntry.`getVcfEntry()`
`VcfEntry`
VcfGenotype.`getVcfEntry()`
`VcfEntry`
VcfLof.`getVcfEntry()`
`VcfEntry`
VcfEntry.`uncompressGenotypes()`
Uncompress VCF entry having genotypes in "HO,HE,NA" fields
Methods in org.snpeff.vcf with parameters of type VcfEntry
Modifier and Type
Method
Description
`boolean`
Pedigree.`anyBackToRef(VcfEntry vcfEntry)`
Are there any "back to reference" cancer variant
`Set<Tuple<Integer,Integer>>`
Pedigree.`compareCancerGenotypes(VcfEntry vcfEntry)`
Analyze which comparisons to make in cancer genomes
`static Collection<VariantVcfEntry>`
VariantVcfEntry.`factory(VcfEntry vcfEntry)`
Create a collection of all invalid input: '<'Variant, VcfEntry>
`static List<VcfConsequence>`
VcfConsequence.`parse(VcfConsequenceHeader vcfConsequenceHeader, VcfEntry ve)`
Constructors in org.snpeff.vcf with parameters of type VcfEntry
Modifier
Constructor
Description
``
`VariantVcfEntry(Variant variant, VcfEntry vcfEntry)`
``
`VcfGenotype(VcfEntry vcfEntry, String format, String values)`
``
`VcfLof(VcfEntry vcfEntry, String lofStr)`
``
`VcfNmd(VcfEntry vcfEntry, String nmdStr)`